print("Determination de l'etat final d'un systeme dont l'équation bilan peut")
print(" s'écrire sous la forme : α A + β B → γ C + δ D")
print("nom de la fonction à utiliser : eqs(na,α,nb,β,γ,δ) avec :")

print("na = quantité de matière du réactif A")
print("α = nombre stoechiométrique du réactif A")
print("nb = quantité de matière du réactif B")
print("β = nombre stoechiométrique du réactif B")
print("γ = nombre stoechiométrique du produit C")
print("δ = nombre stoechiométrique du produit D")

def eqs(na,α,nb,β,γ,δ) :
    x1 = na/α #avancement final si le réactif A est limitant
    x2 = nb/β #avancement final si le réactif B est limitant
    R = min(x1, x2) #Choix du réactif limitant correspondant à la plus petite valeur entre x1 et x2
    print("l’état final du reactif A est : ", na-α*R) #Afficher la quantité finale du réactif A
    print("l’état final du reactif B est : ", nb-β*R) #Afficher la quantité finale du réactif B
    print("l’état final du produit C est : ", γ*R) #Afficher la quantité finale du produit C
    print("l’état final du produit D est : ", δ*R) #Afficher la quantité finale du produit D



